The project is hosted on both [CodeBerg](https://codeberg.org/NullPointerException/PipePipe) and [GitHub](https://github.com/InfinityLoop1308/PipePipe). It is preferred to open issue on CodeBerg but it is OK if you open it on GitHub.

Please star this repo if you like it. 
<hr>
<p align="center"><img src="https://i.imgur.com/Q7R0xTU.png" width="150"></p> 
<h2 align="center"><b>PipePipe</b></h2>
<h4 align="center">
Alternative Android streaming front-end of BiliBili, NicoNico, YouTube and more. </h4>
<p align="center"><a href="https://f-droid.org/packages/InfinityLoop1309.NewPipeEnhanced/"><img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" height=80/></a>
<a href="https://apt.izzysoft.de/fdroid/index/apk/InfinityLoop1309.NewPipeEnhanced"><img src="assets/IzzyOnDroid.png" alt="Get it on IzzyOnDroid" height=80/></a></p>
<hr>

## Services List:

* BiliBili 
* NicoNico 
* YouTube
* SoundCloud (Not maintained)
* media.ccc  (Not maintained)
* Bandcamp   (Not maintained)
* Peertube   (Not maintained)

## Screenshots

[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/00-v2.png" width=640>](fastlane/metadata/android/en-US/images/phoneScreenshots/00-v1.png)

[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/01-v2.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/01-v1.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/02-v2.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/02-v2.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/03-v2.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/03-v2.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/04-v1.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/04-v1.png)
<br/>
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/05-v1.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/05-v1.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/06-v1.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/06-v1.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/07-v1.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/07-v1.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/08-v1.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/08-v1.png)
<br/>
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/09-v1.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/09-v1.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/10-v1.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/10-v1.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/11-v2.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/11-v2.png)
[<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/12-v2.png" width=160>](fastlane/metadata/android/en-US/images/phoneScreenshots/12-v1.png)

## New Client Features:

* Bullet comments/Live Chats
* Show comments of replies
* Search filters
* Filter items in local playlists
* Android 13 support
* Music player mode
* Sort playlists
* Remove duplicate items of local playlists
* Open timestamp in the main player
* Long click to append all related items to playlist
* Fetch all the items in the online playlist
* ...

## Contribute

Issues and PRs are welcomed. Please note that I will **NOT** accept service requests due to my limited time. 

Anyone interested in creating their own service is encouraged to fork this repository.

⚠️Warning: This fork is **VERY** far from the NewPipe repo.

If you want to contribute your translation, see [TRANSLATION.md](TRANSLATION.md).

## Note

Please **DO NOT** open any issue about merging NicoNico/BiliBili to NewPipe in this repo, [TeamNewPipe/NewPipe](https://github.com/TeamNewPipe/NewPipe), or [TeamNewPipe/NewPipeExtractor](https://github.com/TeamNewPipe/NewPipeExtractor/).

This project is for my personal use. If you open an issue I won't encounter, most likely I will not make any fixes.

You may also want to check [NewPipe](https://github.com/TeamNewPipe/NewPipe) or [NewPipe x SponsorBlock](https://github.com/polymorphicshade/NewPipe)

## Special Thanks

[SocialSisterYi/bilibili-API-collect](https://github.com/SocialSisterYi/bilibili-API-collect) for providing some BiliBili API lists.

[AioiLight](https://github.com/AioiLight) for providing some code of NicoNico service.
